Bug 427266 - sms-messages are not sent
Summary: sms-messages are not sent
Status: RESOLVED FIXED
Alias: None
Product: kdeconnect
Classification: Applications
Component: plasmamobile-application (show other bugs)
Version: 1.10
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nicolas Fella
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-02 21:24 UTC by voncloft
Modified: 2020-10-18 18:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 20.08.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description voncloft 2020-10-02 21:24:26 UTC
SUMMARY
When using the sms messages window to send messages on the phone it does not send them.

STEPS TO REPRODUCE
1. Open SMS-window 
2. Send message to myself
3. Message never gets sent

OBSERVED RESULT


EXPECTED RESULT
Being able to send sms via sms-messages

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 5.19.4
(available in About System)
KDE Plasma Version: 5.19,4
KDE Frameworks Version: 5.73.0
Qt Version: 5.15.1

ADDITIONAL INFORMATION
My phone is a samsung galaxy note 9 - I am unable to send sms messages through kdeconnect on the desktop via sms-messages on kdeconnect.
Comment 2 voncloft 2020-10-02 21:57:35 UTC
Meant

error: No such method 'sendSms' in interface 'org.kde.kdeconnect.device.sms' at object path '/modules/kdeconnect/devices/aa42539b68a19441/sms' (signature 'avsas')
Comment 3 voncloft 2020-10-02 22:25:07 UTC
Can I have my phone number removed in the post?
Comment 4 voncloft 2020-10-02 23:31:32 UTC
The command I try to use:

kdeconnect-cli --destination phone-number-redacted-n 'Samsung SM-N960U' --send-sms "test"
Comment 5 voncloft 2020-10-04 19:30:09 UTC
kdeconnect 1.4 works - https://download.kde.org/stable/kdeconnect/1.4/kdeconnect-kde-1.4.tar.xz

but the github does not.
Comment 6 voncloft 2020-10-05 12:33:13 UTC
1.4 however does not allow the sms window to send messages, it will loud - and then "freeze" when attempting to send a message.
Comment 7 voncloft 2020-10-10 20:10:17 UTC
This version works flawlessly:

https://github.com/voncloft/kdeconnect-kde/tree/c17972881b68a5979f4cc9c33dc09087b0dedece
Comment 8 voncloft 2020-10-17 23:42:48 UTC
Well....the version I used broke

Does anybody even read these posts?
Comment 9 Bug Janitor Service 2020-10-18 15:32:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/335
Comment 10 voncloft 2020-10-18 15:57:33 UTC
When will this set the light of day?
Comment 11 Nicolas Fella 2020-10-18 16:47:37 UTC
Git commit 4266834052983a788bb12a579da18fd35832d763 by Nicolas Fella.
Committed on 18/10/2020 at 15:28.
Pushed by nicolasfella into branch 'release/20.08'.

[sms] Restore compatibility with current Android release

The current code requires the multitarget support. This is only available in the yet-to-be-released Android version.
Fall back to the old style packet format as a quick fix for 20.08 before we can implement a proper solution in master.

M  +6    -17   plugins/sms/smsplugin.cpp

https://invent.kde.org/network/kdeconnect-kde/commit/4266834052983a788bb12a579da18fd35832d763
Comment 12 Nicolas Fella 2020-10-18 18:20:30 UTC
The 20.08.3 release is scheduled for November 5

See https://community.kde.org/Schedules/release_service/20.08_Release_Schedule#Thursday.2C_November_5.2C_2020:_20.08.3_release